### This file is a general .xdc for the Nexys Video Rev. A
### To use it in a project:
### - uncomment the lines corresponding to used pins
### - rename the used ports (in each line, after get_ports) according to the top level signal names in the project


## Clock Signal
set_property -dict {PACKAGE_PIN R4 IOSTANDARD LVCMOS33} [get_ports sysclk]


## LEDs
set_property -dict {PACKAGE_PIN T14 IOSTANDARD LVCMOS25} [get_ports {led[0]}]
set_property -dict {PACKAGE_PIN T15 IOSTANDARD LVCMOS25} [get_ports {led[1]}]
set_property -dict {PACKAGE_PIN T16 IOSTANDARD LVCMOS25} [get_ports {led[2]}]
set_property -dict {PACKAGE_PIN U16 IOSTANDARD LVCMOS25} [get_ports {led[3]}]
set_property -dict {PACKAGE_PIN V15 IOSTANDARD LVCMOS25} [get_ports {led[4]}]
set_property -dict {PACKAGE_PIN W16 IOSTANDARD LVCMOS25} [get_ports {led[5]}]
set_property -dict {PACKAGE_PIN W15 IOSTANDARD LVCMOS25} [get_ports {led[6]}]
set_property -dict {PACKAGE_PIN Y13 IOSTANDARD LVCMOS25} [get_ports {led[7]}]


## Buttons
set_property -dict {PACKAGE_PIN B22 IOSTANDARD LVCMOS25} [get_ports btnc]
set_property -dict {PACKAGE_PIN D22 IOSTANDARD LVCMOS25} [get_ports btnd]
set_property -dict {PACKAGE_PIN C22 IOSTANDARD LVCMOS25} [get_ports btnl]
set_property -dict {PACKAGE_PIN D14 IOSTANDARD LVCMOS25} [get_ports btnr]
set_property -dict {PACKAGE_PIN F15 IOSTANDARD LVCMOS25} [get_ports btnu]
set_property -dict {PACKAGE_PIN G4  IOSTANDARD LVCMOS25} [get_ports cpu_resetn]


## Switches
set_property -dict {PACKAGE_PIN E22 IOSTANDARD LVCMOS25} [get_ports {sw[0]}]
set_property -dict {PACKAGE_PIN F21 IOSTANDARD LVCMOS25} [get_ports {sw[1]}]
set_property -dict {PACKAGE_PIN G21 IOSTANDARD LVCMOS25} [get_ports {sw[2]}]
set_property -dict {PACKAGE_PIN G22 IOSTANDARD LVCMOS25} [get_ports {sw[3]}]
set_property -dict {PACKAGE_PIN H17 IOSTANDARD LVCMOS25} [get_ports {sw[4]}]
set_property -dict {PACKAGE_PIN J16 IOSTANDARD LVCMOS25} [get_ports {sw[5]}]
set_property -dict {PACKAGE_PIN K13 IOSTANDARD LVCMOS25} [get_ports {sw[6]}]
set_property -dict {PACKAGE_PIN M17 IOSTANDARD LVCMOS25} [get_ports {sw[7]}]



## Pmod header JA
#set_property -dict {PACKAGE_PIN AB22 IOSTANDARD LVCMOS33} [get_ports {ja[0]}]
#set_property -dict {PACKAGE_PIN AB21 IOSTANDARD LVCMOS33} [get_ports {ja[1]}]
#set_property -dict {PACKAGE_PIN AB20 IOSTANDARD LVCMOS33} [get_ports {ja[2]}]
#set_property -dict {PACKAGE_PIN AB18 IOSTANDARD LVCMOS33} [get_ports {ja[3]}]
#set_property -dict {PACKAGE_PIN Y21  IOSTANDARD LVCMOS33} [get_ports {ja[4]}]
#set_property -dict {PACKAGE_PIN AA21 IOSTANDARD LVCMOS33} [get_ports {ja[5]}]
#set_property -dict {PACKAGE_PIN AA20 IOSTANDARD LVCMOS33} [get_ports {ja[6]}]
#set_property -dict {PACKAGE_PIN AA18 IOSTANDARD LVCMOS33} [get_ports {ja[7]}]

set_property -dict {PACKAGE_PIN AB22 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[0]}]
set_property -dict {PACKAGE_PIN AB21 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[1]}]
set_property -dict {PACKAGE_PIN AB20 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[2]}]
set_property -dict {PACKAGE_PIN AB18 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[3]}]
set_property -dict {PACKAGE_PIN Y21  IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[4]}]
set_property -dict {PACKAGE_PIN AA21 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[5]}]
set_property -dict {PACKAGE_PIN AA20 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[6]}]
set_property -dict {PACKAGE_PIN AA18 IOSTANDARD LVCMOS33} [get_ports {MonitorPMOD[7]}]


## Pmod header JB
#set_property -dict {PACKAGE_PIN V8 IOSTANDARD LVCMOS33} [get_ports {jb[0]}]
#set_property -dict {PACKAGE_PIN V9 IOSTANDARD LVCMOS33} [get_ports {jb[1]}]
#set_property -dict {PACKAGE_PIN W7 IOSTANDARD LVCMOS33} [get_ports {jb[2]}]
#set_property -dict {PACKAGE_PIN V7 IOSTANDARD LVCMOS33} [get_ports {jb[3]}]
#set_property -dict {PACKAGE_PIN Y9 IOSTANDARD LVCMOS33} [get_ports {jb[4]}]
#set_property -dict {PACKAGE_PIN W9 IOSTANDARD LVCMOS33} [get_ports {jb[5]}]
#set_property -dict {PACKAGE_PIN Y7 IOSTANDARD LVCMOS33} [get_ports {jb[6]}]
#set_property -dict {PACKAGE_PIN Y8 IOSTANDARD LVCMOS33} [get_ports {jb[7]}]

set_property -dict {PACKAGE_PIN V8 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[0]}]
set_property -dict {PACKAGE_PIN V9 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[1]}]
set_property -dict {PACKAGE_PIN W7 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[2]}]
set_property -dict {PACKAGE_PIN V7 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[3]}]
set_property -dict {PACKAGE_PIN Y9 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[4]}]
set_property -dict {PACKAGE_PIN W9 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[5]}]
set_property -dict {PACKAGE_PIN Y7 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[6]}]
set_property -dict {PACKAGE_PIN Y8 IOSTANDARD TMDS_33} [get_ports {SourcePMOD[7]}]


## Pmod header JC
#set_property -dict {PACKAGE_PIN AA6 IOSTANDARD LVCMOS33} [get_ports {jc[0]}]
#set_property -dict {PACKAGE_PIN Y6  IOSTANDARD LVCMOS33} [get_ports {jc[1]}]
#set_property -dict {PACKAGE_PIN AB8 IOSTANDARD LVCMOS33} [get_ports {jc[2]}]
#set_property -dict {PACKAGE_PIN AA8 IOSTANDARD LVCMOS33} [get_ports {jc[3]}]
#set_property -dict {PACKAGE_PIN T6  IOSTANDARD LVCMOS33} [get_ports {jc[4]}]
#set_property -dict {PACKAGE_PIN R6  IOSTANDARD LVCMOS33} [get_ports {jc[5]}]
#set_property -dict {PACKAGE_PIN AB6 IOSTANDARD LVCMOS33} [get_ports {jc[6]}]
#set_property -dict {PACKAGE_PIN AB7 IOSTANDARD LVCMOS33} [get_ports {jc[7]}]

set_property -dict {PACKAGE_PIN AA6 IOSTANDARD TMDS_33} [get_ports {SinkPMOD[0]}]
set_property -dict {PACKAGE_PIN Y6  IOSTANDARD TMDS_33} [get_ports {SinkPMOD[1]}]
set_property -dict {PACKAGE_PIN AB8 IOSTANDARD TMDS_33} [get_ports {SinkPMOD[2]}]
set_property -dict {PACKAGE_PIN AA8 IOSTANDARD TMDS_33} [get_ports {SinkPMOD[3]}]
set_property -dict {PACKAGE_PIN T6  IOSTANDARD TMDS_33} [get_ports {SinkPMOD[4]}]
set_property -dict {PACKAGE_PIN R6  IOSTANDARD TMDS_33} [get_ports {SinkPMOD[5]}]
set_property -dict {PACKAGE_PIN AB6 IOSTANDARD TMDS_33} [get_ports {SinkPMOD[6]}]
set_property -dict {PACKAGE_PIN AB7 IOSTANDARD TMDS_33} [get_ports {SinkPMOD[7]}]
#create_clock -period 8.000 -name sinkclk -waveform {0.000 4.000} [get_ports {jc[7]} -filter direction==in]

## UART
set_property -dict {PACKAGE_PIN AA19 IOSTANDARD LVCMOS33} [get_ports uart_rx_out]
set_property -dict {PACKAGE_PIN V18 IOSTANDARD LVCMOS33} [get_ports uart_tx_in]

## QSPI
#set_property -dict { PACKAGE_PIN T19   IOSTANDARD LVCMOS33 } [get_ports { qspi_cs }]; #IO_L6P_T0_FCS_B_14 Sch=qspi_cs
#set_property -dict { PACKAGE_PIN P22   IOSTANDARD LVCMOS33 } [get_ports { qspi_dq[0] }]; #IO_L1P_T0_D00_MOSI_14 Sch=qspi_dq[0]
#set_property -dict { PACKAGE_PIN R22   IOSTANDARD LVCMOS33 } [get_ports { qspi_dq[1] }]; #IO_L1N_T0_D01_DIN_14 Sch=qspi_dq[1]
#set_property -dict { PACKAGE_PIN P21   IOSTANDARD LVCMOS33 } [get_ports { qspi_dq[2] }]; #IO_L2P_T0_D02_14 Sch=qspi_dq[2]
#set_property -dict { PACKAGE_PIN R21   IOSTANDARD LVCMOS33 } [get_ports { qspi_dq[3] }]; #IO_L2N_T0_D03_14 Sch=qspi_dq[3]
set_property -dict {PACKAGE_PIN W5 IOSTANDARD LVCMOS33} [get_ports scl]

## SD card
#set_property -dict { PACKAGE_PIN W19   IOSTANDARD LVCMOS33 } [get_ports { sd_cclk }]; #IO_L12P_T1_MRCC_14 Sch=sd_cclk
#set_property -dict { PACKAGE_PIN T18   IOSTANDARD LVCMOS33 } [get_ports { sd_cd }]; #IO_L20N_T3_A07_D23_14 Sch=sd_cd
#set_property -dict { PACKAGE_PIN W20   IOSTANDARD LVCMOS33 } [get_ports { sd_cmd }]; #IO_L12N_T1_MRCC_14 Sch=sd_cmd
#set_property -dict { PACKAGE_PIN V19   IOSTANDARD LVCMOS33 } [get_ports { sd_d[0] }]; #IO_L14N_T2_SRCC_14 Sch=sd_d[0]
#set_property -dict { PACKAGE_PIN T21   IOSTANDARD LVCMOS33 } [get_ports { sd_d[1] }]; #IO_L4P_T0_D04_14 Sch=sd_d[1]
#set_property -dict { PACKAGE_PIN T20   IOSTANDARD LVCMOS33 } [get_ports { sd_d[2] }]; #IO_L6N_T0_D08_VREF_14 Sch=sd_d[2]
#set_property -dict { PACKAGE_PIN U18   IOSTANDARD LVCMOS33 } [get_ports { sd_d[3] }]; #IO_L18N_T2_A11_D27_14 Sch=sd_d[3]
#set_property -dict { PACKAGE_PIN V20   IOSTANDARD LVCMOS33 } [get_ports { sd_reset }]; #IO_L11N_T1_SRCC_14 Sch=sd_reset
set_property -dict {PACKAGE_PIN V5 IOSTANDARD LVCMOS33} [get_ports sda]


## Voltage Adjust
set_property -dict {PACKAGE_PIN AA13 IOSTANDARD LVCMOS25} [get_ports {set_vadj[0]}]
set_property -dict {PACKAGE_PIN AB17 IOSTANDARD LVCMOS25} [get_ports {set_vadj[1]}]
set_property -dict {PACKAGE_PIN V14 IOSTANDARD LVCMOS25} [get_ports vadj_en]

## FMC
set_property -dict {PACKAGE_PIN H19 IOSTANDARD LVDS_25} [get_ports fmc_clk0_m2c_n]
set_property -dict {PACKAGE_PIN J19 IOSTANDARD LVDS_25} [get_ports fmc_clk0_m2c_p]

## Fan PWM
set_property -dict { PACKAGE_PIN U15   IOSTANDARD LVCMOS25 } [get_ports { FAN_PWM }]; #IO_L14P_T2_SRCC_13 Sch=fan_pwm
